Mandriva Linux Security Advisory : fail2ban (MDVSA-2013:191)

Medium Nessus Plugin ID 67136


The remote Mandriva Linux host is missing a security update.


Updated fail2ban packages fix CVE-2013-2178

Krzysztof Katowicz-Kowalewski discovered a vulnerability in Fail2ban, a log monitoring and system which can act on attack by preventing hosts to connect to specified services using the local firewall.

When using Fail2ban to monitor Apache logs, improper input validation in log parsing could enable a remote attacker to trigger an IP ban on arbitrary addresses, thus causing a denial of service (CVE-2013-2178).


Update the affected fail2ban package.

See Also

Plugin Details

Severity: Medium

ID: 67136

File Name: mandriva_MDVSA-2013-191.nasl

Version: $Revision: 1.4 $

Type: local

Published: 2013/07/03

Modified: 2013/11/25

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Temporal Score: 3.9

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:fail2ban, cpe:/o:mandriva:business_server:1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2013/07/02

Reference Information

CVE: CVE-2013-2178

BID: 60467

MDVSA: 2013:191